Subject: Re: bug#59823: an installer dump was sent

From: "So'n Typ im Internet" <[email-masked]>
Date: Wed, 7 Dec 2022 10:48:04 +0100

Hallo Mathieu,

Thank you so much for your effort.
I already managed the installation by burning the iso directly to my usb
drive and not via Ventoy.
Everything works fine.
I should have try this in the first place. Sometimes the ways of the lord
gnu are inscrutable.

Big thanks again and a warm regards to you and your team.

Typ.

Mathieu Othacehe <[email-masked]> schrieb am Mi. 7. Dez. 2022 um 10:31:

>
> Hello,
>
> So I had a closer look and we do have this strange kernel warning:
>
> --8<---------------cut here---------------start------------->8---
> Dec  4 10:49:05 localhost vmunix: [ 1351.610773] device-mapper: ioctl:
> remove_all left 1 open device(s)
> --8<---------------cut here---------------end--------------->8---
>
> I also noticed that we do not have the following trace:
>
> --8<---------------cut here---------------start------------->8---
> /dev/sdX is not eligible because it is the installation device.
> --8<---------------cut here---------------end--------------->8---
>
> which indicates that the "eligible-devices" procedure failed to identify
> the installation device. So /dev/sdd could be the installation device
> and the "with-delay-device-in-use?" always reports true because it is in
> fact always in use.
>
> My proposed patch probably won't help and the question is, why is the
> installation device not detected?
>
> Would it be possible for you to try the installation with an
> instrumented installer that I would provide you with?
>
> Thanks,
>
> Mathieu
>